#pragma once

#include <QMainWindow>
#include <QSpinBox>

#include "multiversemodel.h"
#include "universemodel.h"

QT_BEGIN_NAMESPACE
namespace Ui {
  class UniverseView;
}
QT_END_NAMESPACE

class UniverseView
    : public QMainWindow
{
    Q_OBJECT

public:
    explicit UniverseView(QWidget *parent = nullptr,
                          QSacnUniverse* universe = nullptr);
    virtual ~UniverseView();

public slots:
    void updateStatus(QSacnUniverse *);

private:
    Ui::UniverseView *ui;
    QSpinBox *prioritySpinBox;
};
